namespace GameAtlas.Views;

using GameAtlas.Models;
using System.Diagnostics;
using System.Text.RegularExpressions;

public partial class PageConnexion : ContentPage
{
    public int compteur { get; set; } = 0;

    public Manager ConnexionManager => (App.Current as App).MyManager;
    public PageConnexion()
    {
        InitializeComponent();
    }

    private async void OnSignInClicked(object sender, EventArgs e)
    {

        string username = pseudo.Text;
        string password = mdp.Text;


        if (string.IsNullOrWhiteSpace(username) || string.IsNullOrWhiteSpace(password))
        {
            await DisplayAlert("Erreur", "Entrez tous les champs", "Ok");
            return;
        }

        Verification(username, password);
        await Navigation.PushAsync(new PageAcceuil());

    }

    private async void OnInscrire_Tapped(object sender, EventArgs e)
    {
        await Navigation.PushAsync(new PageInscription());
    }

    private async void OnMotDePasseOublie_Tapped(object sender, EventArgs e)
    {
        await DisplayAlert("Oh non !", "Le mot de passe va te revenir  force", "Concentration");
        await DisplayAlert("Oh non !", "Encore un petit effort !", "Concentration");

        bool reponse = await DisplayAlert("Alors ?", "Tu l'as retrouv ce mot de passe ?", "Oui", "Non");
        if (!reponse)
        {
            await DisplayAlert("...", "Dsol on peut rien pour toi. La prochaine fois utilise un papier comme tout le monde.", "RIP");
        }
        else
        {
            await DisplayAlert("...", "C'est bien, la prochaine fois tu le notera.", "Ok");
        }
    }

    public bool Verification(string username, string password)
    {
        foreach (Utilisateur user in ConnexionManager.Utilisateurs)
        {
            if (user.Pseudo == username)
            {
                Debug.WriteLine($"Pseudo \"{user.Pseudo}\" vrifi et valide");
                if (user.Mdp == password)
                {
                    Debug.WriteLine("Mot de Passe verifi et valide");
                    ConnexionManager.ConnectedUser = user;
                    return true;
                }
            }
        }
        Debug.WriteLine("La connection a echoue (pseudo ou mot de passe invalide)");
        ConnexionManager.ConnectedUser = null;
        return false;
    }
}